echo off
REM This is the batchfile-variant of generating Reflections from some headers.

REM set the environment variable to find batch-, zbnf- and xsl-scripts
set ZBNFJAX_HOME=../../zbnfjax

REM set output directory and file used in command line
set OUTDIR=gen_src
set OUTFILE=Reflection_Test

REM Fill the INPUT environment variable with all command options -i:files. It is used internally:
set INPUT=-i:./*.h
set INPUT=%INPUT% -i:../../examples_srcC/inc:MyStruct.h

if not exist %OUTDIR% mkdir %OUTDIR%
if exist %OUTDIR%\%OUTFILE%.* del /F /Q %OUTDIR%\%OUTFILE%.*

java -cp %ZBNFJAX_HOME%/header2Reflection.jar;%ZBNFJAX_HOME%/zbnf.jar org.vishia.header2Reflection.CmdHeader2Reflection %INPUT% -out.c:%OUTDIR%\%OUTFILE%.c -b:src/Header2Reflection.cfg -z:%ZBNFJAX_HOME%/zbnf/Cheader.zbnf --report:%OUTDIR%\%OUTFILE%.log --rlevel:334

pause
